Next: IEOR, Previous: ICHAR, Up: Intrinsic Procedures [Contents][Index]

### 9.136 `IDATE` — Get current local time subroutine (day/month/year)

Description:

  `IDATE(VALUES)` Fills VALUES with the numerical values at the current local time. The day (in the range 1-31), month (in the range 1-12), and year appear in elements 1, 2, and 3 of VALUES, respectively. The year has four significant digits.

Standard:

  GNU extension

Class:

  Subroutine

Syntax:

  `CALL IDATE(VALUES)`

Arguments:

  VALUES | The type shall be `INTEGER, DIMENSION(3)` and the kind shall be the default integer kind.

Return value:

  Does not return anything.

Example:

      program test_idate
        integer, dimension(3) :: tarray
        call idate(tarray)
        print *, tarray(1)
        print *, tarray(2)
        print *, tarray(3)
      end program test_idate